std::ratio_less(3)

NAME
std::ratio_less - std::ratio_less

Synopsis
   Defined in header <ratio>
   template< class R1, class R2 >
   struct ratio_less : std::integral_constant<bool, /* see below */> { (since C++11)
   };
   If the ratio R1 is less than the ratio R2, provides the member constant value equal
   true. Otherwise, value is false.
  Helper variable template
   template< class R1, class R2 > (since C++17)
   inline constexpr bool ratio_less_v = ratio_less<R1, R2>::value; Inherited from std::integral_constant

Member constants
   value true if R1::num * R2::den < R2::num * R1::den, or equivalent expression
   [static] that avoids overflow , false otherwise
            (public static member constant)

Member functions
   operator bool converts the object to bool, returns value
                 (public member function)
   operator() returns value
   (C++14) (public member function)

Member types
   Type Definition
   value_type bool
   type std::integral_constant<bool, value>

Example
// Run this code
 #include <iostream>
 #include <ratio>
 int main()
 {
     if (std::ratio_less<std::ratio<23,37>, std::ratio<57,90>>::value) {
         std::cout << "23/37 < 57/90\n";
     }
 }

Output:
 23/37 < 57/90

See also